// Author: fengshengxiong
// Date: 2024/5/16
// Description: BottomSheetDialog

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:hello_wallpaper/common/components/button/base_textbutton.dart';
import 'package:hello_wallpaper/common/components/divider_widget.dart';

class BottomSheetDialog {
  static void show(void Function(int location) function) {
    Get.bottomSheet(
      Container(
        color: Colors.white,
        height: 150.h,
        child: Column(
          children: [
            Expanded(
              child: BaseTextButton(
                label: 'Home Screen',
                onTap: () {
                  Get.back();
                  function(0);
                },
              ),
            ),
            const DividerWidget(),
            Expanded(
              child: BaseTextButton(
                label: 'Lock Screen',
                onTap: () {
                  Get.back();
                  function(1);
                },
              ),
            ),
            const DividerWidget(),
            Expanded(
              child: BaseTextButton(
                label: 'Both Screen',
                onTap: () {
                  Get.back();
                  function(2);
                },
              ),
            ),
          ],
        ),
      ),
    );
  }
}